package com.trs.project.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("gc_reconsider")
public class GcReconsider implements Serializable {
    private static final long serialVersionUID = -20846275058660122L;

    @TableId
    private String sourceDataKey;
    
    private String sourceDataCode;
    private String platformCode;
    private Long dataTimestamp;
    private String bidSectionCode;
    private String bidSectionName;
    private String noticeContent;
    private String noticeSendTime;
    private String reconsiderReason;
    private String reconsiderTitle;
    private String regionCode;
    private String tendererName;
    private String tenderAgencyName;
    private String tenderProjectName;
    private String noticeType;


    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Long createDate;

}

